# $Revision: 1.46 $, $Date: 2005/04/18 19:18:13 $
#
# Conditional build:
%bcond_without	selinux	# disable SELinux support
#
Summary:	A very fast, POSIX compliant tape archiver
Summary(pl):	Szybki, zgodny z POSIX program do archiwizacji
Name:		star
Version:	1.5
%define	bver	a58
Release:	0.%{bver}.6
License:	CDDL v1.0
Group:		Applications/File
Source0:	ftp://ftp.berlios.de/pub/star/alpha/%{name}-%{version}%{bver}.tar.bz2
# Source0-md5:	b3c367f0cda2a41dd055edff674e104c
# based on http://www.nsa.gov/selinux/patches/star-selinux.patch.gz
Patch0:		%{name}-selinux.patch
Patch1:		%{name}-no-kernel-headers.patch
Patch2:		%{name}-strtod.patch
Patch3:		%{name}-unamep.patch
Patch4:		%{name}-gcc34.patch
URL:		http://www.fokus.gmd.de/research/cc/glone/employees/joerg.schilling/private/star.html
BuildRequires:	acl-devel
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_selinux:BuildRequires:	libselinux-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Star is a very fast, POSIX-compliant tar archiver. It reads and writes
POSIX compliant tar archives as well as non-POSIX GNU tar archives.
Star is the first free POSIX.1-200x compliant tar implementation. It
saves many files together into a single tape or disk archive, and can
restore individual files from the archive.

It includes a FIFO for speed, a pattern matcher, multivolume support,
the ability to archive sparse files, automatic archive format
detection, automatic byte order recognition, automatic archive
compression / decompression, remote archives, and special features
that allow star to be used for full backups. This package contains the
getfacl and setfacl utilities needed for manipulating access control
lists.

It includes the only known platform independant "rmt" server program
that hides Linux incompatibilities. The "rmt" server from the star
package implements all Sun/GNU/Schily/BSD enhancements and allows any
"rmt" client from any OS to contact any OS as server.

%description -l pl
Star jest szybkim, zgodnym z POSIX archiwizerem tar. Potrafi czyta i
zapisywa archiwa tar zgodne z POSIX, a take nie-posiksowe archiwa
GNU. Star jest pierwsz wolnodostpn implementacj tara zgodn z
norm POSIX.1-200x. Zapisuje cznie wiele plikw na jednej tamie lub
dysku i moe odtwarza z archiwum pojedyncze pliki.

Ma kolejk FIFO (dla przyspieszenia operacji), dopasowywanie wzorcw,
obsug archiww wieloczciowych, moliwo archiwizacji plikw
rzadkich, automatyczne wykrywanie formatu archiww i kolejnoci bajtw
w sowie, automatyczn kompresj i dekompresj, obsug zdalnych
archiww oraz dodatkowe moliwoci umoliwiajce wykonywanie penych
kopii zapasowych. Ten pakiet zawiera narzdzia getfacl i setfacl
potrzebne do modyfikacji list kontroli dostpu (ACL).

Pakiet zawiera te niezaleny od platformy serwer rmt, ktry ma
zaimplementowane wszystkie rozszerzenia Sun/GNU/Schily/BSD i pozwala
na dostp klientem rmt z dowolnego systemu operacyjnego.

%prep
%setup -q
%{?with_selinux:%patch0 -p1}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

# new ac doesn't like comments in the same line as #undef
%{__perl} -pi -e 's@/\*.*\*/@@g' conf/xconfig.h.in
# kill annoying beep and sleep
%{__perl} -pi -e 's/^__gmake_warn.*//' RULES/mk-gmake.id

%build
cd conf
cp -f /usr/share/automake/config.* .
%{__autoconf}
cd ..
%{__make} \
	COPTOPT="%{rpmcflags}" \
	CC="%{__cc}" \
	LDCC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INS_BASE=$RPM_BUILD_ROOT%{_prefix} \
	MANDIR=/share/man

# unwanted here (command conflict with tar and mt-st)
rm -f $RPM_BUILD_ROOT%{_bindir}/{mt,tar}

echo '.so star.1' > $RPM_BUILD_ROOT%{_mandir}/man1/ustar.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AN-%{version}%{bver} CDDL.* Changelog README README.{ACL,largefiles,linux,otherbugs,pax,posix-2001} STARvsGNUTAR STATUS.alpha TODO
%attr(755,root,root) %{_bindir}/gnutar
%attr(755,root,root) %{_bindir}/scpio
%attr(755,root,root) %{_bindir}/smt
%attr(755,root,root) %{_bindir}/spax
%attr(755,root,root) %{_bindir}/star
%attr(755,root,root) %{_bindir}/star_fat
%attr(755,root,root) %{_bindir}/star_sym
%attr(755,root,root) %{_bindir}/suntar
%attr(755,root,root) %{_bindir}/tartest
%attr(755,root,root) %{_bindir}/ustar
%attr(755,root,root) %{_sbindir}/rmt
%{_mandir}/man1/gnutar.1*
%{_mandir}/man1/scpio.1*
%{_mandir}/man1/spax.1*
%{_mandir}/man1/star.1*
%{_mandir}/man1/suntar.1*
%{_mandir}/man1/tartest.1*
%{_mandir}/man1/ustar.1*
%{_mandir}/man1/smt.1*
%{_mandir}/man1/rmt.1*
%{_mandir}/man5/star.5*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: star.spec,v $
Revision 1.46  2005/04/18 19:18:13  qboosh
- don't package tar and mt commands; release .6

Revision 1.45  2005/04/04 13:55:03  saq
- oops, removed one line too many
- release 5

Revision 1.43  2005/02/20 11:54:06  qboosh
- release .3

Revision 1.42  2005/02/20 11:53:47  qboosh
- since 1.5a57 License is CDDL version 1.0
- more docs

Revision 1.41  2005/02/20 10:23:57  adamg
- release 2

Revision 1.40  2005/02/20 08:17:03  adamg
- updated 1.5a58

Revision 1.39  2005/02/06 21:50:10  adamg
- updated to 1.5a56

Revision 1.38  2005/02/06 09:28:17  adamg
- updated to 1.5a55

Revision 1.37  2004/11/04 15:31:58  areq
- 1.5-0.a54

Revision 1.36  2004/10/16 19:33:32  qboosh
- kill annoying beep and sleep during build

Revision 1.35  2004/10/10 18:23:39  paladine
- updated to a50

Revision 1.34  2004/10/07 13:02:13  qboosh
- package only related manuals

Revision 1.33  2004/10/01 12:53:22  paladine
- updated to a49

Revision 1.32  2004/09/27 19:19:16  areq
- add all man

Revision 1.31  2004/09/27 16:05:09  djurban
- update finished, sending stbr

Revision 1.30  2004/09/27 13:54:01  djurban
- begin update to a48, the amd64 fix was incorporated upstream, add selinux bcond

Revision 1.29  2004/09/27 12:49:37  djurban
- remove idiotically added SECURITY NOTE:

Revision 1.28  2004/09/14 09:35:17  blues
- SECURITY note, fixed, but requires STBR
Revision 1.27  2004/09/08 14:40:52  areq
- 1.5-0.a47

and the security note was related to 1.5.0-a45.

At least check the dates blues, if you have no time to read, this is pathetic.

Revision 1.28  2004/09/14 09:35:17  blues
- SECURITY note, fixed, but requires STBR

Revision 1.27  2004/09/08 14:40:52  areq
- 1.5-0.a47

Revision 1.26  2004/08/18 14:23:53  areq
- star-1.5-0.a45

Revision 1.25  2004/08/02 17:01:11  adamg
- updated to 1.5.a44

Revision 1.24  2004/08/01 19:07:31  adamg
- updated to 1.5a43

Revision 1.23  2004/07/12 16:48:13  areq
- 1.5-0.a42

Revision 1.22  2004/06/16 13:50:05  areq
- 1.5-0.a41

Revision 1.21  2004/03/30 08:57:22  areq
- star-1.5a39

Revision 1.20  2004/03/13 18:02:18  qboosh
- release .2

Revision 1.19  2004/03/13 17:52:17  qboosh
- bugfix

Revision 1.18  2004/03/13 17:35:10  qboosh
- amd64 build fixes

Revision 1.17  2004/03/02 20:09:45  areq
- 1.5-0.a38

Revision 1.16  2004/03/01 13:56:42  qboosh
- added unamep patch, fixed selinux patch, new bins: gnutar,scpio,suntar

Revision 1.15  2004/02/27 15:46:49  qboosh
- updated to 1.5a37 with selinux patch
- added no-kernel-headers, strtod patches
- verbose compilation, without hiding gcc options

Revision 1.14  2003/08/18 08:09:34  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.13  2003/05/26 16:25:52  malekith
- massive attack: adding Source-md5

Revision 1.12  2003/05/25 06:27:01  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/03/28 17:18:08  qboosh
- BR: acl-devel

Revision 1.10  2003/02/17 22:05:16  areq
- 1.4.3, STBR

Revision 1.9  2002/11/25 23:39:56  areq
- 1.4.2, STBR

Revision 1.8  2002/09/18 17:34:55  qboosh
- use proper CC and CFLAGS, added ustar hardlink

Revision 1.7  2002/09/17 14:23:02  areq
- fix %doc

Revision 1.6  2002/06/25 08:58:43  areq
- 1.4.1, STBR

Revision 1.5  2002/05/23 14:48:54  pioklo

- up to final 1.4 version
- new %%doc

Revision 1.4  2002/05/14 08:43:36  klark

- upgrade to 1.4a26
- STBR

Revision 1.3  2002/05/10 21:42:24  areq
- 1.4a25, STBR
- fix MANDIR

Revision 1.2  2002/04/30 13:58:00  qboosh
- pl description, fixes and cosmetics; noted TODO

Revision 1.1  2002/04/30 13:45:21  pioklo
-new PLD spec
- need correct and adaptarized
